From ec4edc1856d57ae0eefa949ef87ff71549167593 Mon Sep 17 00:00:00 2001
From: David Malcolm <dmalcolm@redhat.com>
Date: Tue, 4 Aug 2020 20:09:10 -0400
Subject: [PATCH 15/18] FIXME: big renaming to drop '2' from class names

---
 gcc/analyzer/analyzer.h                    |   80 +-
 gcc/analyzer/checker-path.cc               |    6 +-
 gcc/analyzer/checker-path.h                |   16 +-
 gcc/analyzer/constraint-manager.cc         | 1295 +++--
 gcc/analyzer/constraint-manager.h          |  200 +-
 gcc/analyzer/diagnostic-manager.cc         |  118 +-
 gcc/analyzer/diagnostic-manager.h          |   18 +-
 gcc/analyzer/engine.cc                     |  283 +-
 gcc/analyzer/exploded-graph.h              |   47 +-
 gcc/analyzer/program-state.cc              |  810 +---
 gcc/analyzer/program-state.h               |  124 +-
 gcc/analyzer/region-model.cc               | 5073 +++++++-------------
 gcc/analyzer/region-model.h                | 1749 +++----
 gcc/analyzer/region-model2-impl-calls.cc   |  116 +-
 gcc/analyzer/region-model2-reachability.cc |   80 +-
 gcc/analyzer/region-model2-reachability.h  |   52 +-
 gcc/analyzer/sm-file.cc                    |    2 +-
 gcc/analyzer/sm-malloc.cc                  |    8 +-
 gcc/analyzer/sm-signal.cc                  |   18 +-
 gcc/analyzer/sm.h                          |    2 +-
 gcc/analyzer/store.cc                      |  512 +-
 gcc/analyzer/store.h                       |  158 +-
 22 files changed, 4352 insertions(+), 6415 deletions(-)

diff --git a/gcc/analyzer/analyzer.h b/gcc/analyzer/analyzer.h
index 9e2bdc95c4e..a97b0c1dc70 100644
--- a/gcc/analyzer/analyzer.h
+++ b/gcc/analyzer/analyzer.h
@@ -40,43 +40,43 @@ class superedge;
     class call_superedge;
     class return_superedge;
 
-class svalue2;
-  class region_svalue2;
-  class constant_svalue2;
-  class unknown_svalue2;
-  class poisoned_svalue2;
-  class setjmp_svalue2;
-  class initial_svalue2;
-  class unaryop_svalue2;
-  class binop_svalue2;
-  class sub_svalue2;
-  class unmergeable_svalue2;
-  class placeholder_svalue2;
-  class widening_svalue2;
-  class compound_svalue2;
-  class conjured_svalue2;
-typedef hash_set<const svalue2 *> svalue2_set;
-class region2;
-  class frame_region2;
-  class function_region2;
-  class label_region2;
-  class decl_region2;
-  class symbolic_region2;
-  class element_region2;
-  class offset_region2;
-  class cast_region2;
-  class field_region2;
-  class string_region2;
-class region_model2_manager;
-struct model2_merger;
+class svalue;
+  class region_svalue;
+  class constant_svalue;
+  class unknown_svalue;
+  class poisoned_svalue;
+  class setjmp_svalue;
+  class initial_svalue;
+  class unaryop_svalue;
+  class binop_svalue;
+  class sub_svalue;
+  class unmergeable_svalue;
+  class placeholder_svalue;
+  class widening_svalue;
+  class compound_svalue;
+  class conjured_svalue;
+typedef hash_set<const svalue *> svalue_set;
+class region;
+  class frame_region;
+  class function_region;
+  class label_region;
+  class decl_region;
+  class symbolic_region;
+  class element_region;
+  class offset_region;
+  class cast_region;
+  class field_region;
+  class string_region;
+class region_model_manager;
+struct model_merger;
 class store_manager;
 class store;
-class region_model2;
-class region_model2_context;
-  class impl_region_model2_context;
+class region_model;
+class region_model_context;
+  class impl_region_model_context;
 class call_details;
-class constraint_manager2;
-class equiv_class2;
+class constraint_manager;
+class equiv_class;
 
 class pending_diagnostic;
 class state_change_event;
@@ -99,7 +99,7 @@ class state_purge_per_ssa_name;
 class state_change;
 class rewind_info_t;
 
-class engine2;
+class engine;
 
 /* Forward decls of functions.  */
 
@@ -161,17 +161,17 @@ typedef offset_int byte_size_t;
 class region_offset
 {
 public:
-  static region_offset make_concrete (const region2 *base_region,
+  static region_offset make_concrete (const region *base_region,
 				      bit_offset_t offset)
   {
     return region_offset (base_region, offset, false);
   }
-  static region_offset make_symbolic (const region2 *base_region)
+  static region_offset make_symbolic (const region *base_region)
   {
     return region_offset (base_region, 0, true);
   }
 
-  const region2 *get_base_region () const { return m_base_region; }
+  const region *get_base_region () const { return m_base_region; }
 
   bool symbolic_p () const { return m_is_symbolic; }
 
@@ -189,12 +189,12 @@ public:
   }
 
 private:
-  region_offset (const region2 *base_region, bit_offset_t offset,
+  region_offset (const region *base_region, bit_offset_t offset,
 		 bool is_symbolic)
   : m_base_region (base_region), m_offset (offset), m_is_symbolic (is_symbolic)
   {}
 
-  const region2 *m_base_region;
+  const region *m_base_region;
   bit_offset_t m_offset;
   bool m_is_symbolic;
 };
diff --git a/gcc/analyzer/checker-path.cc b/gcc/analyzer/checker-path.cc
index 47cb425ba78..0bfb1ff9d9b 100644
--- a/gcc/analyzer/checker-path.cc
+++ b/gcc/analyzer/checker-path.cc
@@ -214,10 +214,10 @@ state_change_event::state_change_event (const supernode *node,
 					const gimple *stmt,
 					int stack_depth,
 					const state_machine &sm,
-					const svalue2 *sval,
+					const svalue *sval,
 					state_machine::state_t from,
 					state_machine::state_t to,
-					const svalue2 *origin,
+					const svalue *origin,
 					const program_state &dst_state)
 : checker_event (EK_STATE_CHANGE,
 		 stmt->location, node->m_fun->decl,
@@ -245,7 +245,7 @@ state_change_event::get_desc (bool can_colorize) const
 {
   if (m_pending_diagnostic)
     {
-      region_model2 *model = m_dst_state.m_region_model2;
+      region_model *model = m_dst_state.m_region_model;
       tree var = model->get_representative_tree (m_sval);
       tree origin = model->get_representative_tree (m_origin);
       label_text custom_desc
diff --git a/gcc/analyzer/checker-path.h b/gcc/analyzer/checker-path.h
index 8608d43954e..7fea1be704c 100644
--- a/gcc/analyzer/checker-path.h
+++ b/gcc/analyzer/checker-path.h
@@ -195,26 +195,20 @@ public:
   state_change_event (const supernode *node, const gimple *stmt,
 		      int stack_depth,
 		      const state_machine &sm,
-		      const svalue2 *sval,
+		      const svalue *sval,
 		      state_machine::state_t from,
 		      state_machine::state_t to,
-		      const svalue2 *origin,
+		      const svalue *origin,
 		      const program_state &dst_state);
 
   label_text get_desc (bool can_colorize) const FINAL OVERRIDE;
 
 #if 0
-  region_id get_lvalue (tree expr, region_model_context *ctxt) const
+  const region* get_lvalue (tree expr, region_model_context *ctxt) const
   {
     gcc_assert (m_dst_state.m_region_model);
     return m_dst_state.m_region_model->get_lvalue (expr, ctxt);
   }
-
-  const region2* get_lvalue2 (tree expr, region_model2_context *ctxt) const
-  {
-    gcc_assert (m_dst_state.m_region_model2);
-    return m_dst_state.m_region_model2->get_lvalue (expr, ctxt);
-  }
 #endif
 
   function *get_dest_function () const
@@ -225,10 +219,10 @@ public:
   const supernode *m_node;
   const gimple *m_stmt;
   const state_machine &m_sm;
-  const svalue2 *m_sval;
+  const svalue *m_sval;
   state_machine::state_t m_from;
   state_machine::state_t m_to;
-  const svalue2 *m_origin;
+  const svalue *m_origin;
   program_state m_dst_state;
 };
 
